apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: slurpernetes
  namespace: {{.KUBE_NAMESPACE}}
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: slurpernetes
        env: {{.KUBE_NAMESPACE}}
    spec:
      serviceAccountName: slurpernetes-bot
      containers:
      - image: "{{.IMAGE_TAG}}"
        imagePullPolicy: Always
        name: app
        env:
          - name: ENV
            value: {{.KUBE_NAMESPACE}}
        ports:
        - containerPort: 8081
        resources:
          requests:
            memory: "256Mi"
            cpu: "100m"
          limits:
            memory: "2Gi"
            cpu: "200m"
        readinessProbe:
          initialDelaySeconds: 10
          periodSeconds: 10
          failureThreshold: 60
          httpGet:
            port: 8081
            path: /actuator/health
        livenessProbe:
          initialDelaySeconds: 300
          periodSeconds: 30
          httpGet:
            port: 8081
            path: /actuator/health
